Main Page Modules Class Hierarchy Compound List File List Compound Members

# cPacket Class Reference

`#include <cpacket.h>`

Inheritance diagram for cPacket::

List of all members.

## Public Methods

Constructors, destructor, assignment
| cPacket (const char *name=NULL, short protocol=0, short pdu=0)
| cPacket (const cPacket &m)
cPacket& | operator= (const cPacket &m)
Redefined cObject member functions.
virtual cObject* | dup () const
virtual void | info (char *buf)
virtual int | netPack ()
virtual int | netUnpack ()
New attributes.
short | protocol () const
short | pdu () const
void | setProtocol (short p)
void | setPdu (short p)

## Detailed Description

DEPRECATED CLASS. See User Manual for replacement, and reasons of deprecation.

Network packet class. It adds protocol and PDU type to cMessage. The message kind must be either MK_PACKET or MK_INFO for cPackets.

## Constructor & Destructor Documentation

cPacket::cPacket ( | const char * name = NULL,
| short protocol = 0,
| short pdu = 0 )`[inline, explicit]`

| Constructor.

cPacket::cPacket ( | const cPacket & m )

| Copy constructor.

## Member Function Documentation

cObject * cPacket::dup ( | ) const`[inline, virtual]`

| Creates and returns an exact copy of this object. See cObject for more details. Reimplemented from cMessage.

void cPacket::info ( | char * buf )`[virtual]`

| Produces a one-line description of object contents into the buffer passed as argument. See cObject for more details. Reimplemented from cMessage.

int cPacket::netPack ( | )`[virtual]`

| Serializes the object into a PVM or MPI send buffer. Used by the simulation kernel for parallel execution. See cObject for more details. Reimplemented from cMessage.

int cPacket::netUnpack ( | )`[virtual]`

| Deserializes the object from a PVM or MPI receive buffer Used by the simulation kernel for parallel execution. See cObject for more details. Reimplemented from cMessage.

cPacket & cPacket::operator= ( | const cPacket & m )

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

short cPacket::pdu ( | ) const`[inline]`

| Returns the PDU type.

short cPacket::protocol ( | ) const`[inline]`

| Returns the protocol ID.

void cPacket::setPdu ( | short p )`[inline]`

| Sets the PDU type.

void cPacket::setProtocol ( | short p )`[inline]`

| Sets the protocol ID.

The documentation for this class was generated from the following file:

- cpacket.h